﻿@inject ISnackbar Snackbar
@inject UserAppState UserAppState

@implements IDisposable

<MudDialog>
    <DialogContent>
        <MudText Typo="Typo.h5">Set Discord Name</MudText><br />
    </DialogContent>
    <DialogActions>
        <MudStack>
            <LengthValidatedTextField @bind-Text="@DiscordName"
                                      Label="Discord Name"
                                      MinLength="2"
                                      MaxLength="32"
                                      AllowEmpty="true" />
            <MudText>@Common.Spacer()</MudText>
            <MudStack Justify="Justify.FlexEnd" Row="true">
                <MudButton Color="Color.Secondary" Disabled="@IsSettingDiscordName" OnClick="Cancel">Cancel</MudButton>
                <MudButton Color="Color.Primary" Disabled="@SetDiscordNameDisabled" OnClick="SetDiscordName">
                    @if (IsSettingDiscordName)
                    {
                        <MudProgressCircular Class="ms-n1" Size="Size.Small" Indeterminate="true" />
                    }
                    <MudText Class="ms-2">Set</MudText>
                </MudButton>
            </MudStack>
        </MudStack>
    </DialogActions>
</MudDialog>